<?php
App::uses('EvShopAppController', 'EvShop.Controller');

class ProductsController extends EvShopAppController {

	/**
	 * form fields - check for EvTax and auto remove
	 * check for brands setting and auto remove
	 */
	protected function _adminFormFields() {
		$fields = parent::_adminFormFields();

		if (! CakePlugin::loaded('EvTax')) {
			unset($fields['Product.tax_level_id']);
		}

		if (! Configure::read('EvShop.showBrands')) {
			unset($fields['Product.brand_id']);
		}

		return $fields;
	}

	/**
	 * admin populate lookups
	 */
	protected function _adminPopulateLookups() {
		parent::_adminPopulateLookups();

		if (Configure::read('EvShop.showBrands')) {
			$this->set(
				'brands',
				$this->Product->Brand->getForDropDown()
			);
		}
	}

	/**
	 * redefine admin edit to setup inject form
	 * for variants
	 */
	public function admin_edit($id = null) {
		if (Configure::read('EvShop.showVariants')) {
			$this->toInject['components']['variants'] = 'EvShop.variants';
			$this->toInject['helpers']['variants'] = 'EvShop.variants';
		}

		parent::admin_edit($id);
	}
}
